Index: testsuites/fstests/fspatheval/mdosfs_fspatheval.scn
===================================================================
--- testsuites/fstests/fspatheval/mdosfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspatheval/mdosfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,82 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
+Initializing filesystem MOUNTED DOSFS
+
+
+*** PATH EVALUATION TEST ***
+Making directory /test1/
+Making directory tets2
+Making directory ///test3
+Making directory test4////
+Making directory ../../test5
+Making directory /test1/../test6
+Making directory ./test7/
+Making directory .././test8
+Making directory test8/./../test9
+Making directory ///test9/../test10
+
+Making directory !#$%&()-@^_`{}~'
+Making directory 0_1_A
+Making directory aaa bbb
+Making directory ccc....ddd
+Making directory  fff
+
+Removing directory test10
+Removing directory test9
+Removing directory test8
+Removing directory test7
+Removing directory test6
+Removing directory test5
+Removing directory test4
+Removing directory test3
+Removing directory tets2
+Removing directory test1
+
+Removing directory  fff
+Removing directory ccc....ddd
+Removing directory aaa bbb
+Removing directory 0_1_A
+Removing directory !#$%&()-@^_`{}~'
+
+Create file /test1
+Create file tets2
+Create file ///test3
+Create file test4
+Create file ../../test5
+Create file /../test6
+Create file ./test7
+Create file .././test8
+Create file /./../test9
+Create file //../test10
+
+Create file !#$%&()-@^_`{}~'
+Create file 0_1_A
+Create file aaa bbb
+Create file ccc....ddd
+Create file  fff
+
+Removing file test10
+Removing file test9
+Removing file test8
+Removing file test7
+Removing file test6
+Removing file test5
+Removing file test4
+Removing file test3
+Removing file tets2
+Removing file test1
+
+Removing file  fff
+Removing file ccc....ddd
+Removing file aaa bbb
+Removing file 0_1_A
+Removing file !#$%&()-@^_`{}~'
+
+mkdir /tmp/a/b
+cd /tmp
+*** END OF PATH EVALUATION TEST ***
+
+
+Shutting down filesystem MOUNTED DOSFS
+*** END OF FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
Index: testsuites/fstests/fspatheval/mimfs_fspatheval.scn
===================================================================
--- testsuites/fstests/fspatheval/mimfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspatheval/mimfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,76 @@
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+
+
+*** PATH EVALUATION TEST ***
+Making directory /test1/
+Making directory tets2
+Making directory ///test3
+Making directory test4////
+Making directory ../../test5
+Making directory /test1/../test6
+Making directory ./test7/
+Making directory .././test8
+Making directory test8/./../test9
+Making directory ///test9/../test10
+
+Making directory !#$%&()-@^_`{}~'
+Making directory 0_1_A
+Making directory aaa bbb
+Making directory ccc....ddd
+Making directory  fff
+
+Removing directory test10
+Removing directory test9
+Removing directory test8
+Removing directory test7
+Removing directory test6
+Removing directory test5
+Removing directory test4
+Removing directory test3
+Removing directory tets2
+Removing directory test1
+
+Removing directory  fff
+Removing directory ccc....ddd
+Removing directory aaa bbb
+Removing directory 0_1_A
+Removing directory !#$%&()-@^_`{}~'
+
+Create file /test1
+Create file tets2
+Create file ///test3
+Create file test4
+Create file ../../test5
+Create file /../test6
+Create file ./test7
+Create file .././test8
+Create file /./../test9
+Create file //../test10
+
+Create file !#$%&()-@^_`{}~'
+Create file 0_1_A
+Create file aaa bbb
+Create file ccc....ddd
+Create file  fff
+
+Removing file test10
+Removing file test9
+Removing file test8
+Removing file test7
+Removing file test6
+Removing file test5
+Removing file test4
+Removing file test3
+Removing file tets2
+Removing file test1
+
+Removing file  fff
+Removing file ccc....ddd
+Removing file aaa bbb
+Removing file 0_1_A
+Removing file !#$%&()-@^_`{}~'
+
+mkdir /tmp/a/b
+cd /tmp
+*** END OF PATH EVALUATION TEST ***
Index: testsuites/fstests/fspatheval/mrfs_fspatheval.scn
===================================================================
--- testsuites/fstests/fspatheval/mrfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspatheval/mrfs_fspatheval.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,82 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** PATH EVALUATION TEST ***
+Making directory /test1/
+Making directory tets2
+Making directory ///test3
+Making directory test4////
+Making directory ../../test5
+Making directory /test1/../test6
+Making directory ./test7/
+Making directory .././test8
+Making directory test8/./../test9
+Making directory ///test9/../test10
+
+Making directory !#$%&()-@^_`{}~'
+Making directory 0_1_A
+Making directory aaa bbb
+Making directory ccc....ddd
+Making directory  fff
+
+Removing directory test10
+Removing directory test9
+Removing directory test8
+Removing directory test7
+Removing directory test6
+Removing directory test5
+Removing directory test4
+Removing directory test3
+Removing directory tets2
+Removing directory test1
+
+Removing directory  fff
+Removing directory ccc....ddd
+Removing directory aaa bbb
+Removing directory 0_1_A
+Removing directory !#$%&()-@^_`{}~'
+
+Create file /test1
+Create file tets2
+Create file ///test3
+Create file test4
+Create file ../../test5
+Create file /../test6
+Create file ./test7
+Create file .././test8
+Create file /./../test9
+Create file //../test10
+
+Create file !#$%&()-@^_`{}~'
+Create file 0_1_A
+Create file aaa bbb
+Create file ccc....ddd
+Create file  fff
+
+Removing file test10
+Removing file test9
+Removing file test8
+Removing file test7
+Removing file test6
+Removing file test5
+Removing file test4
+Removing file test3
+Removing file tets2
+Removing file test1
+
+Removing file  fff
+Removing file ccc....ddd
+Removing file aaa bbb
+Removing file 0_1_A
+Removing file !#$%&()-@^_`{}~'
+
+mkdir /tmp/a/b
+cd /tmp
+*** END OF PATH EVALUATION TEST ***
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fspermission/imfs_fspermission.scn
===================================================================
--- testsuites/fstests/fspermission/imfs_fspermission.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspermission/imfs_fspermission.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,52 @@
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+
+
+*** PERMISSION TEST ***
+The previous cmask is 022
+The file mode of file01 is 755
+The file mode of file02 is 755
+The file mode of dir01 is 755
+The previous cmask is 321
+The file mode of file01 is 456
+The file mode of file02 is 456
+The file mode of dir01 is 456
+The file mode of file01 is 777
+The file mode of file02 is 240
+The file mode of dir01 is 340
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Change euid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+Testing rename     with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "EACCES"
+PASS
+Testing link       with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing unlink     with arguments: "path"               EXPECT "EACCES"
+PASS
+Change egid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+The directory file mode is 777
+The directory file mode is 321
+*** END OF PERMISSION TEST ***
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
+
Index: testsuites/fstests/fspermission/jffs2_fspermission.scn
===================================================================
--- testsuites/fstests/fspermission/jffs2_fspermission.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspermission/jffs2_fspermission.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,53 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+
+
+*** PERMISSION TEST ***
+The previous cmask is 022
+The file mode of file01 is 755
+The file mode of file02 is 755
+The file mode of dir01 is 755
+The previous cmask is 321
+The file mode of file01 is 456
+The file mode of file02 is 456
+The file mode of dir01 is 456
+The file mode of file01 is 777
+The file mode of file02 is 240
+The file mode of dir01 is 340
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Change euid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+Testing rename     with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "EACCES"
+PASS
+Testing link       with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing unlink     with arguments: "path"               EXPECT "EACCES"
+PASS
+Change egid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+The directory file mode is 777
+The directory file mode is 321
+*** END OF PERMISSION TEST ***
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
Index: testsuites/fstests/fspermission/mimfs_fspermission-interupted.scn
===================================================================
--- testsuites/fstests/fspermission/mimfs_fspermission-interupted.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspermission/mimfs_fspermission-interupted.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,47 @@
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+
+
+*** PERMISSION TEST ***
+The previous cmask is 022
+The file mode of file01 is 755
+The file mode of file02 is 755
+The file mode of dir01 is 755
+The previous cmask is 321
+The file mode of file01 is 456
+The file mode of file02 is 456
+The file mode of dir01 is 456
+The file mode of file01 is 777
+The file mode of file02 is 240
+The file mode of dir01 is 340
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Change euid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+Testing rename     with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "EACCES"
+PASS
+Testing link       with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing unlink     with arguments: "path"               EXPECT "EACCES"
+PASS
+Change egid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+The directory file mode is 777
+The directory file mode is 321
+*** END OF PERMISSION TEST ***
Index: testsuites/fstests/fspermission/mrfs_fspermission.scn
===================================================================
--- testsuites/fstests/fspermission/mrfs_fspermission.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fspermission/mrfs_fspermission.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,53 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+
+
+*** PERMISSION TEST ***
+The previous cmask is 022
+The file mode of file01 is 755
+The file mode of file02 is 755
+The file mode of dir01 is 755
+The previous cmask is 321
+The file mode of file01 is 456
+The file mode of file02 is 456
+The file mode of dir01 is 456
+The file mode of file01 is 777
+The file mode of file02 is 240
+The file mode of dir01 is 340
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Change euid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+Testing rename     with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing truncate   with arguments: "path,0"             EXPECT "EACCES"
+PASS
+Testing link       with arguments: "path,\"test\""      EXPECT "EACCES"
+PASS
+Testing unlink     with arguments: "path"               EXPECT "EACCES"
+PASS
+Change egid and check
+Testing open       with arguments: "file02,O_WRONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDONLY"    EXPECT "EACCES"
+PASS
+Testing open       with arguments: "file02,O_RDWR"      EXPECT "EACCES"
+PASS
+Testing creat      with arguments: "path,mode"          EXPECT "EACCES"
+PASS
+The directory file mode is 777
+The directory file mode is 321
+*** END OF PERMISSION TEST ***
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fsrdwr/imfs_fsrdwr.scn
===================================================================
--- testsuites/fstests/fsrdwr/imfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsrdwr/imfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,22 @@
+*** FILE SYSTEM TEST ( IMFS ) ***
+Initializing filesystem IMFS
+test case: read_write_test
+test case: lseek_test
+Create a new file
+Writing 2430 bytes to file
+Successfully wrote 2430
+Check the current position
+2431
+test case: truncate_test03
+test case: truncate_to_zero
+test case: block_read_and_write
+test case: block_rw_case_0
+test case: block_rw_case_1
+test case: block_rw_case_2
+test case: block_rw_case_3
+test case: block_rw_case_4
+test case: write_until_no_space_is_left
+
+
+Shutting down filesystem IMFS
+*** END OF FILE SYSTEM TEST ( IMFS ) ***
Index: testsuites/fstests/fsrdwr/jffs2_fsrdwr.scn
===================================================================
--- testsuites/fstests/fsrdwr/jffs2_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsrdwr/jffs2_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,24 @@
+
+
+*** FILE SYSTEM TEST ( JFFS2 ) ***
+Initializing filesystem JFFS2
+test case: read_write_test
+test case: lseek_test
+Create a new file
+Writing 2430 bytes to file
+Successfully wrote 2430
+Check the current position
+2431
+test case: truncate_test03
+test case: truncate_to_zero
+test case: block_read_and_write
+test case: block_rw_case_0
+test case: block_rw_case_1
+test case: block_rw_case_2
+test case: block_rw_case_3
+test case: block_rw_case_4
+test case: write_until_no_space_is_left
+
+
+Shutting down filesystem JFFS2
+*** END OF FILE SYSTEM TEST ( JFFS2 ) ***
Index: testsuites/fstests/fsrdwr/mdosfs_fsrdwr.scn
===================================================================
--- testsuites/fstests/fsrdwr/mdosfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsrdwr/mdosfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,24 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
+Initializing filesystem MOUNTED DOSFS
+test case: read_write_test
+test case: lseek_test
+Create a new file
+Writing 2430 bytes to file
+Successfully wrote 2430
+Check the current position
+2431
+test case: truncate_test03
+test case: truncate_to_zero
+test case: block_read_and_write
+test case: block_rw_case_0
+test case: block_rw_case_1
+test case: block_rw_case_2
+test case: block_rw_case_3
+test case: block_rw_case_4
+test case: write_until_no_space_is_left
+
+
+Shutting down filesystem MOUNTED DOSFS
+*** END OF FILE SYSTEM TEST ( MOUNTED DOSFS ) ***
Index: testsuites/fstests/fsrdwr/mimfs_fsrdwr.scn
===================================================================
--- testsuites/fstests/fsrdwr/mimfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsrdwr/mimfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,22 @@
+*** FILE SYSTEM TEST ( MOUNTED IMFS ) ***
+Initializing filesystem MOUNTED IMFS
+test case: read_write_test
+test case: lseek_test
+Create a new file
+Writing 2430 bytes to file
+Successfully wrote 2430
+Check the current position
+2431
+test case: truncate_test03
+test case: truncate_to_zero
+test case: block_read_and_write
+test case: block_rw_case_0
+test case: block_rw_case_1
+test case: block_rw_case_2
+test case: block_rw_case_3
+test case: block_rw_case_4
+test case: write_until_no_space_is_left
+
+
+Shutting down filesystem MOUNTED IMFS
+*** END OF FILE SYSTEM TEST ( MOUNTED IMFS ) ***
Index: testsuites/fstests/fsrdwr/mrfs_fsrdwr.scn
===================================================================
--- testsuites/fstests/fsrdwr/mrfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsrdwr/mrfs_fsrdwr.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,24 @@
+
+
+*** FILE SYSTEM TEST ( MOUNTED RFS ) ***
+Initializing filesystem MOUNTED RFS
+test case: read_write_test
+test case: lseek_test
+Create a new file
+Writing 2430 bytes to file
+Successfully wrote 2430
+Check the current position
+2431
+test case: truncate_test03
+test case: truncate_to_zero
+test case: block_read_and_write
+test case: block_rw_case_0
+test case: block_rw_case_1
+test case: block_rw_case_2
+test case: block_rw_case_3
+test case: block_rw_case_4
+test case: write_until_no_space_is_left
+
+
+Shutting down filesystem MOUNTED RFS
+*** END OF FILE SYSTEM TEST ( MOUNTED RFS ) ***
Index: testsuites/fstests/fsrename/mimfs_fsrename.scn
===================================================================
--- testsuites/fstests/fsrename/mimfs_fsrename.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsrename/mimfs_fsrename.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,287 @@
+*** BEGIN OF TEST FSRENAME MOUNTED IMFS ***
+Initializing filesystem MOUNTED IMFS
+
+Old is a simbolic link and rename operates on the simbolic link itself
+
+Testing rename     with arguments: symlink01, name02    EXPECT "0"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 78 
+Testing lstat      with arguments: name02, &statbuf     EXPECT "0"
+PASS
+Testing if name02 is now a symlink
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 86 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing unlink     with arguments: name02               EXPECT "0"
+PASS
+Testing unlink     with arguments: symlink01            EXPECT "-1"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 94 
+
+New is a simbolic link and rename operates on the simbolic link itself
+
+Testing rename     with arguments: name02, symlink01    EXPECT "0"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 116 
+Testing lstat      with arguments: symlink01, &statbuf  EXPECT "0"
+PASS
+Testing that symlink01 is not a symlink
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 124 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing unlink     with arguments: name02               EXPECT "-1"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 131 
+Testing unlink     with arguments: symlink01            EXPECT "0"
+PASS
+
+Testing with symbolic link loop's
+
+Testing rename     with arguments: "path01, name01"     EXPECT "ELOOP"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 149 
+Testing rename     with arguments: "path01, name01"     EXPECT "ELOOP"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 152 
+Testing unlink     with arguments: name01               EXPECT "-1"
+PASS
+Testing unlink     with arguments: symlink01            EXPECT "0"
+PASS
+Testing unlink     with arguments: symlink02            EXPECT "0"
+PASS
+Testing rename     with arguments: "name01, path01"     EXPECT "ELOOP"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 180 
+Testing rename     with arguments: "name01, path01"     EXPECT "ELOOP"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 183 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing unlink     with arguments: symlink01            EXPECT "0"
+PASS
+Testing unlink     with arguments: symlink02            EXPECT "0"
+PASS
+
+Rename file with itself
+
+Testing rename     with arguments: name01, name01       EXPECT "0"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 244 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+
+Rename file with itself through a hard link in another directory
+
+Testing rename     with arguments: name01, path01       EXPECT "0"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 271 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing unlink     with arguments: path01               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Rename directory with file
+
+Testing rename     with arguments: "dir01, name01"      EXPECT "ENOTDIR"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 343 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Rename file with directory
+
+Testing rename     with arguments: "name01, dir01"      EXPECT "EISDIR"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 367 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Rename directory with ancestor directory
+
+Testing rename     with arguments: "dir02, path01"      EXPECT "EINVAL"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 390 
+Testing rmdir      with arguments: path01               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir02                EXPECT "0"
+PASS
+
+Rename directory with non empty directory
+
+Testing rename     with arguments: dir01, dir02         EXPECT "-1"
+PASS
+Testing errno for EEXIST or ENOTEMPTY
+PASS
+Testing unlink     with arguments: path01               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir02                EXPECT "0"
+PASS
+
+Rename empty directory with another empty directory
+
+Testing rename     with arguments: dir01, dir02         EXPECT "0"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 448 
+Testing rmdir      with arguments: dir01                EXPECT "-1"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 454 
+Testing rmdir      with arguments: dir02                EXPECT "0"
+PASS
+Testing rename     with arguments: "dir02, path01"      EXPECT "EMLINK"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 483 
+Testing rmdir      with arguments: path01               EXPECT "-1"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 497 
+Testing rmdir      with arguments: dir02                EXPECT "0"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 498 
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Rename files within directories protected with S_ISVTX
+
+Testing rename     with arguments: path01, name02       EXPECT "-1"
+PASS
+Testing errno for EPERM or EACCES
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 535 
+Testing unlink     with arguments: path01               EXPECT "0"
+PASS
+Testing unlink     with arguments: name02               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+Testing rename     with arguments: name02, path01       EXPECT "-1"
+PASS
+Testing errno for EPERM or EACCES
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 577 
+Testing unlink     with arguments: path01               EXPECT "0"
+PASS
+Testing unlink     with arguments: name02               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Rename file with non existant file
+
+Testing rename     with arguments: name01, name02       EXPECT "0"
+PASS
+Testing unlink     with arguments: name01               EXPECT "-1"
+PASS
+Testing unlink     with arguments: name02               EXPECT "0"
+PASS
+Testing rename     with arguments: "name02, name01"     EXPECT "ENOENT"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 660 
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing unlink     with arguments: name02               EXPECT "-1"
+PASS
+
+Rename file with non existant filepath
+
+Testing rename     with arguments: "path01, name01"     EXPECT "ENOENT"
+PASS
+Testing unlink     with arguments: name01               EXPECT "-1"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Rename directory with non existant directory
+
+Testing rename     with arguments: dir01, dir02         EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "-1"
+PASS
+Testing rmdir      with arguments: dir02                EXPECT "0"
+PASS
+
+Rename file with a name size exceeding NAME_MAX
+
+Testing rename     with arguments: "name01, filename"   EXPECT "ENAMETOOLONG"
+PASS
+Testing unlink     with arguments: name01               EXPECT "0"
+PASS
+Testing unlink     with arguments: filename             EXPECT "-1"
+PASS
+
+Rename directory with current directory
+
+Testing rename     with arguments: "." , dir01          EXPECT "-1"
+PASS
+Testing errno for EINVAL or EBUSY
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 787 
+Testing rename     with arguments: dir01, "."           EXPECT "-1"
+PASS
+Testing errno for EINVAL or EBUSY
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 801 
+
+Rename directory with previous directory
+
+Testing rename     with arguments: ".." , dir01         EXPECT "-1"
+PASS
+Testing errno for EINVAL or EBUSY
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 817 
+Testing rename     with arguments: dir01, ".."          EXPECT "-1"
+PASS
+Testing errno for EINVAL or EBUSY
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 831 
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+
+Testing empty filepaths
+
+Testing rename     with arguments: "name01, \"\""       EXPECT "ENOENT"
+PASS
+Testing            with arguments: name01               EXPECT "0"
+PASS
+Testing rename     with arguments: "\"\", name01"       EXPECT "ENOENT"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 869 
+Testing            with arguments: name01               EXPECT "0"
+PASS
+
+Rename two files on a directory with no write permission 
+
+Testing rename     with arguments: "name01 , name02"    EXPECT "EACCES"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 947 
+
+Rename file between two directories, with and without write access
+
+Testing rename     with arguments: "name01, path01"     EXPECT "EACCES"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 971 
+Testing rename     with arguments: "path01, name01"     EXPECT "EACCES"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 978 
+Testing            with arguments: name01               EXPECT "0"
+PASS
+Testing            with arguments: path01               EXPECT "0"
+PASS
+Testing            with arguments: path01               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir02                EXPECT "0"
+PASS
+
+Rename two files on a directory with no execute permission 
+
+Testing rename     with arguments: "path01 , path02"    EXPECT "EACCES"
+PASS
+
+Rename file between two directories, with and without execute access
+
+Testing rename     with arguments: "path01, path02"     EXPECT "EACCES"
+PASS
+Testing rename     with arguments: "path02, path01"     EXPECT "EACCES"
+FAIL   testsuites/fstests/mimfs_fsrename/../fsrename/test.c: 1103 
+Testing            with arguments: path01               EXPECT "0"
+PASS
+Testing            with arguments: path01               EXPECT "0"
+PASS
+Testing            with arguments: path02               EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir01                EXPECT "0"
+PASS
+Testing rmdir      with arguments: dir02                EXPECT "0"
+PASS
+
+Rename files across diferent filesystems
+
+Testing rename     with arguments: "name01, path01"     EXPECT "EXDEV"
+PASS
+Testing            with arguments: path01               EXPECT "-1"
+PASS
+Testing            with arguments: name01               EXPECT "0"
+PASS
+
+
+Shutting down filesystem MOUNTED IMFS
+*** END OF TEST FSRENAME MOUNTED IMFS ***
Index: testsuites/fstests/fsscandir01/imfs_fsscandir01.scn
===================================================================
--- testsuites/fstests/fsscandir01/imfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsscandir01/imfs_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,7 @@
+*** BEGIN OF TEST FSSCANDIR ROOT IMFS ***
+Initializing filesystem ROOT IMFS
+scandir: Success
+
+
+Shutting down filesystem ROOT IMFS
+*** END OF TEST FSSCANDIR ROOT IMFS ***
Index: testsuites/fstests/fsscandir01/jffs2_fsscandir01.scn
===================================================================
--- testsuites/fstests/fsscandir01/jffs2_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
+++ testsuites/fstests/fsscandir01/jffs2_fsscandir01.scn	(revision 8967e5fa78361bc7db4681ed117b0e7164821ef5)
@@ -0,0 +1,7 @@
+*** BEGIN OF TEST FSSCANDIR JFFS2 ***
+Initializing filesystem JFFS2
+scandir: Success
+
+
+Shutting down filesystem JFFS2
+*** END OF TEST FSSCANDIR JFFS2 ***
